unit Mainunit;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, Menus, StdCtrls, Buttons;

type
  TForm1 = class(TForm)
    MainMenu1: TMainMenu;
    File1: TMenuItem;
    Exit1: TMenuItem;
    DLLFunctions1: TMenuItem;
    ShowCurrentTime1: TMenuItem;
    CreateDatabaseForm1: TMenuItem;
    procedure Exit1Click(Sender: TObject);
    procedure ShowCurrentTime1Click(Sender: TObject);
    procedure CreateDatabaseForm1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

{These declaration are INSIDE the "implementation" section, you'd
normally expect it to be in the "interface"! Note you have to use
the name of the DLL, plus the index that we specified when compiling
the DLL.}
procedure ShowTheTime; far; external 'THEDLL.DLL' index 1;
procedure MakeDBEditor; far; external 'THEDLL.DLL' index 2;


procedure TForm1.Exit1Click(Sender: TObject);
begin
    Close;
end;

procedure TForm1.ShowCurrentTime1Click(Sender: TObject);
begin
    ShowTheTime;
end;

procedure TForm1.CreateDatabaseForm1Click(Sender: TObject);
begin
    MakeDBEditor;
end;

end.
