{this is a database form inside a DLL}

unit Tablefrm;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, ExtCtrls, Menus, DBCtrls, Grids, DBGrids, DB, DBTables;

type
  TDBForm = class(TForm)
    MainMenu1: TMainMenu;
    DBGrid1: TDBGrid;
    DBNavigator1: TDBNavigator;
    File1: TMenuItem;
    SaveChanges1: TMenuItem;
    N1: TMenuItem;
    Exit1: TMenuItem;
    Panel1: TPanel;
    Open1: TMenuItem;
    OpenDialog1: TOpenDialog;
    DataSource1: TDataSource;
    Query1: TQuery;
    procedure Exit1Click(Sender: TObject);
    procedure Open1Click(Sender: TObject);
    procedure SaveChanges1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  DBForm: TDBForm;

implementation

{$R *.DFM}

procedure TDBForm.Exit1Click(Sender: TObject);
begin
    if (Query1.State = dsEdit) or (Query1.State = dsInsert) then
       Query1.Post;
    Query1.Close;
    Release;
end;

procedure TDBForm.Open1Click(Sender: TObject);
begin
    if OpenDialog1.Execute then
    begin
       if (Query1.State = dsEdit) or (Query1.State = dsInsert) then
          Query1.Post;
       Query1.Close;
       Query1.SQL.Clear;
       Query1.SQL.Add('Select * from "'+OpenDialog1.FileName+'"');
       Query1.Open;
       Panel1.Caption := OpenDialog1.FileName;
    end;
end;

procedure TDBForm.SaveChanges1Click(Sender: TObject);
begin
    if (Query1.State = dsEdit) or (Query1.State = dsInsert) then
       Query1.Post;
end;

end.
